[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: cannot compile pam_ldap ...



On Mon, Apr 19, 1999 at 03:59:49PM -0400, skidd@altavista.net wrote:
> Where can I find the sdk needed to compile pam_ldap as seen in the Makefile? Padl.com's docs are nowhere near adequate to help one get this module compiled. I downloaded MANY openldap and other ldap sources and still can't find this sdk.
> The Make.defs file mentions the Mozilla sdk.
> Styles Kidd

Umich, OpenLDAP (the one I use currently) and Netscape all work with
pam_ldap. Edit the Make.defs to cater to the correct libs.

For Umich and OpenLDAP, remove the -D_REENTRANT and version 3 define
from CFLAGS. The ldap libraries will be -lldap and -llber.

--
-----    -- - -------- --------- ----  -------  -----  - - ---   --------
Ben Collins <b.m.collins@larc.nasa.gov>                  Debian GNU/Linux
OpenLDAP Core - bcollins@openldap.org                 bcollins@debian.org
UnixGroup Admin - Jordan Systems         The Choice of the GNU Generation
------ -- ----- - - -------   ------- -- ---- - -------- - --- ---- -  --



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []